com.aliyun.svideosdk.common.struct.effect

## Class EffectBean

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectBean

-     public class EffectBean
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `long` | `getDuration()`
    `int` | `getId()`
    `int` | `getMvAudioId()` Gets the id of the audio stream in an MV effect.
    `int` | `getOldId()` Gets the original id of a resource.
    `java.lang.String` | `getPath()` Deprecated. Replaced by `##getSource()`.
    `Source` | `getSource()` Gets the file of a resource.
    `long` | `getStartTime()`
    `long` | `getStreamDuration()`
    `long` | `getStreamStartTime()`
    `int` | `getWeight()`
    `void` | `setDuration(long durationUs)` Sets the display duration of an effect.
    `void` | `setId(int id)` Sets the id of a resource.
    `void` | `setMvAudioId(int audioId)` Sets the id of the audio stream in an MV effect.
    `void` | `setOldId(int oldId)` Sets the original id of a resource.
    `void` | `setPath(java.lang.String path)` Deprecated. Replaced by `##setSource(Source)`.
    `void` | `setSource(Source source)` Sets the file of a resource.
    `void` | `setStartTime(long startTimeUs)` Sets the time when an effect appears.
    `void` | `setStreamDuration(long streamDurationUs)` Sets the display duration of an effect on the stream.
    `void` | `setStreamStartTime(long streamStartTimeUs)` Sets the time when an effect appears on the stream.
    `void` | `setWeight(int weight)` Sets the weight of an audio stream.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EffectBean

          public EffectBean()

  - ### Method Detail

    - #### getWeight

          public int getWeight()

    - #### setWeight

          public void setWeight(int weight)

      Sets the weight of an audio stream.
      Parameters:
        `weight` - Valid values: [0, 100]

    - #### getStreamStartTime

          public long getStreamStartTime()

    - #### setStreamStartTime

          public void setStreamStartTime(long streamStartTimeUs)

      Sets the time when an effect appears on the stream.
      Parameters:
        `streamStartTimeUs` - Unit: microseconds.

    - #### getStreamDuration

          public long getStreamDuration()

    - #### setStreamDuration

          public void setStreamDuration(long streamDurationUs)

      Sets the display duration of an effect on the stream.
      Parameters:
        `streamDurationUs` - Unit: microseconds.

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

      Sets the id of a resource.
      Parameters:
        `id` -

    - #### getOldId

          public int getOldId()

      Gets the original id of a resource. This method only applies to resources that are recovered from the draft folder.
      Returns:
        The original resource id.

    - #### setOldId

          public void setOldId(int oldId)

      Sets the original id of a resource. It is not recommended to call this method.
      Parameters:
        `oldId` - The original resource id.

    - #### getPath

          @Deprecated
          public java.lang.String getPath()

      Deprecated. Replaced by `##getSource()`.
      Gets the file of a resource.
      Returns:
        path

    - #### setPath

          @Deprecated
          public void setPath(java.lang.String path)

      Deprecated. Replaced by `##setSource(Source)`.
      Sets the file of a resource.
      Parameters:
        `path` -

    - #### getSource

          public Source getSource()

      Gets the file of a resource.
      Returns:
        Source

    - #### setSource

          public void setSource(Source source)

      Sets the file of a resource.
      Parameters:
        `source` - Source

    - #### getStartTime

          public long getStartTime()

    - #### setStartTime

          public void setStartTime(long startTimeUs)

      Sets the time when an effect appears. Currently, this method only applies to music effects. The time is the start time of the music effect on the playback timeline.
      Parameters:
        `startTimeUs` - Unit: microseconds.

    - #### getDuration

          public long getDuration()

    - #### setDuration

          public void setDuration(long durationUs)

      Sets the display duration of an effect. Currently, this method only applies to music effects. The duration is the duration of the music effect on the playback timeline.
      Parameters:
        `durationUs` - Unit: microseconds.

    - #### setMvAudioId

          public void setMvAudioId(int audioId)

      Sets the id of the audio stream in an MV effect. It is not recommended to call this method.
      Parameters:
        `audioId` - The audio stream id.

    - #### getMvAudioId

          public int getMvAudioId()

      Gets the id of the audio stream in an MV effect.
      Returns:
        The audio stream id.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`